Bug 5983 - [UPDATE REQUEST] wpa_supplicant 2.4
: [UPDATE REQUEST] wpa_supplicant 2.4
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 23:26 MSD by Eugene Shatokhin
Modified: 2015-08-04 07:16 MSD (History)
2 users (show)

See Also:
RPM Package: wpa_supplicant
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-07-27 23:26:53 MSD
wpa_supplicant was updated to version 2.4 + support for AP was re-enabled.
Comment 1 Eugene Shatokhin 2015-07-27 23:42:29 MSD
Advisory:
wpa_supplicant was updated to version 2.4 with lots of fixes all-around (changelog: http://w1.fi/cgit/hostap/plain/wpa_supplicant/ChangeLog). In addition, support for access point (AP) mode was enabled again.

Build lists:
i586:
https://abf.io/build_lists/2546832
x86_64:
https://abf.io/build_lists/2546833


Hints for testing

If possible, please also check if access points (AP) can be created and work properly. There were problems with AP support (e.g. bug #4602) before, might be resolved now. 

One needs to additionally install dnsmasq and then use the NetworkManager to create an AP. 

Some WiFi adapters and drivers might not support this mode (e.g. broadcom-wl and some old ones). To see if the device & driver can be used in the AP mode, execute 'iw list' as root and see if the section "Supported interface modes" contains "AP".
Comment 2 Vladimir Potapov 2015-07-28 09:48:20 MSD
May be, do add dnsmasq to requires?
Comment 3 Eugene Shatokhin 2015-07-28 12:10:23 MSD
(In reply to comment #2)
> May be, do add dnsmasq to requires?

Perhaps, it would be better to add dnsmasq as a requirement for NetworkManager.
https://abf.io/import/networkmanager/pull_requests/2
Comment 4 Vladimir Potapov 2015-07-30 19:25:57 MSD
The update is sent to expanded testing
***************************************
Comment 5 Vladimir Potapov 2015-08-04 06:24:44 MSD
wpa_supplicant-2.4-2
https://abf.io/build_lists/2546832
https://abf.io/build_lists/2546833
*************************** Advisory *********************************
wpa_supplicant was updated to version 2.4 with lots of fixes all-around (changelog: http://w1.fi/cgit/hostap/plain/wpa_supplicant/ChangeLog). In addition, support for access point (AP) mode was enabled again.
**********************************************************************
QA Verified